Request #1 (Tracking Link)
--------------------------

###cURL
```sh
curl 'http://tcgtrkr.com/?a=12&oc=20&c=251&s1=' -H 'Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8' -H 'Connection: keep-alive' -H 'Accept-Encoding: gzip,deflate,sdch' -H 'Accept-Language: en-US,en;q=0.8' -H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36' --compressed
```

###Request Headers
```yaml
GET /?a=12&oc=20&c=251&s1= HTTP/1.1
Host: tcgtrkr.com
Connection: keep-alive
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36
Accept-Encoding: gzip,deflate,sdch
Accept-Language: en-US,en;q=0.8
```

###Response Headers
```yaml
HTTP/1.1 302 Found
Cache-Control: private
Content-Type: text/html; charset=utf-8
Location: https://tcgtrkr.com/?a=12&oc=20&c=251&s1=&ckmguid=23cb494f-28b9-41b4-a2b2-183a9295160e
Server: Microsoft-IIS/7.5
Set-Cookie: .sess=04fetpwkyheyzeu14wr3p2q1; path=/; HttpOnly
X-AspNet-Version: 4.0.30319
X-Powered-By: ASP.NET
Date: Fri, 26 Sep 2014 00:07:07 GMT
Content-Length: 219
```


Request #2 (Tracking Link)
--------------------------

###cURL
```sh
curl 'https://tcgtrkr.com/?a=12&oc=20&c=251&s1=&ckmguid=23cb494f-28b9-41b4-a2b2-183a9295160e' -H 'Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8' -H 'Connection: keep-alive' -H 'Accept-Encoding: gzip,deflate,sdch' -H 'Cookie: .sess=04fetpwkyheyzeu14wr3p2q1' -H 'Accept-Language: en-US,en;q=0.8' -H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36' --compressed
```

###Request Headers
```yaml
GET /?a=12&oc=20&c=251&s1=&ckmguid=23cb494f-28b9-41b4-a2b2-183a9295160e HTTP/1.1
Host: tcgtrkr.com
Connection: keep-alive
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36
Accept-Encoding: gzip,deflate,sdch
Accept-Language: en-US,en;q=0.8
Cookie: .sess=04fetpwkyheyzeu14wr3p2q1
```

###Response Headers
```yaml
HTTP/1.1 302 Found
Cache-Control: private
Content-Type: text/html; charset=utf-8
Location: http://www.recordlocator.net/?affid=12&campid=479&mdm=Network&src=VALV&sid=&s1=&lp=/
Server: Microsoft-IIS/7.5
p3p: CP="IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT"
X-AspNet-Version: 4.0.30319
Set-Cookie: sid=ArwlvKE2OXJI2rvF2ahOe7of1wV6os6rtaZa/jf0dcWwmINrjIbDeQ==; domain=.tcgtrkr.com; path=/; HttpOnly
Set-Cookie: trk=Gfq9ma7zQlvlfiCZm7R1zrof1wV6os6rtaZa/jf0dcWwmINrjIbDeQ==; domain=.tcgtrkr.com; expires=Wed, 25-Sep-2019 21:07:08 GMT; path=/; HttpOnly
Set-Cookie: c12=ArwlvKE2OXKTfzd+AWuEtjNQ4tz+jhP866RY4VIXnQehCGpWunsB3g==; domain=.tcgtrkr.com; expires=Sun, 26-Oct-2014 00:07:08 GMT; path=/; HttpOnly
X-Powered-By: ASP.NET
Date: Fri, 26 Sep 2014 00:07:08 GMT
Content-Length: 225
```

Request #3 (Registration Page Pixel)
------------------------------------

###cURL
```sh
curl 'https://tcgtrkr.com/?a=108&oc=1&c=1&cp=img&s1=VALV' -H 'Pragma: no-cache' -H 'Accept-Encoding: gzip,deflate,sdch' -H 'Accept-Language: en-US,en;q=0.8' -H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36' -H 'Accept: image/webp,*/*;q=0.8' -H 'Referer: https://www.instantcheckmate.com/register/criminal_records/' -H 'Cookie: .sess=04fetpwkyheyzeu14wr3p2q1; sid=ArwlvKE2OXJI2rvF2ahOe7of1wV6os6rtaZa/jf0dcWwmINrjIbDeQ==; trk=Gfq9ma7zQlvlfiCZm7R1zrof1wV6os6rtaZa/jf0dcWwmINrjIbDeQ==; c12=ArwlvKE2OXKTfzd+AWuEtjNQ4tz+jhP866RY4VIXnQehCGpWunsB3g==' -H 'Connection: keep-alive' -H 'Cache-Control: no-cache' --compressed
```

###Request Headers
```yaml
GET /?a=108&oc=1&c=1&cp=img&s1=VALV HTTP/1.1
Host: tcgtrkr.com
Connection: keep-alive
Pragma: no-cache
Cache-Control: no-cache
Accept: image/webp,*/*;q=0.8
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36
Referer: https://www.instantcheckmate.com/register/criminal_records/
Accept-Encoding: gzip,deflate,sdch
Accept-Language: en-US,en;q=0.8
Cookie: .sess=04fetpwkyheyzeu14wr3p2q1; sid=ArwlvKE2OXJI2rvF2ahOe7of1wV6os6rtaZa/jf0dcWwmINrjIbDeQ==; trk=Gfq9ma7zQlvlfiCZm7R1zrof1wV6os6rtaZa/jf0dcWwmINrjIbDeQ==; c12=ArwlvKE2OXKTfzd+AWuEtjNQ4tz+jhP866RY4VIXnQehCGpWunsB3g==
```

###Response Headers
```yaml
HTTP/1.1 200 OK
Cache-Control: private
Content-Type: image/gif
Server: Microsoft-IIS/7.5
p3p: CP="IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT"
X-AspNet-Version: 4.0.30319
Set-Cookie: sid=ArwlvKE2OXJI2rvF2ahOe7of1wV6os6rLiCfoqnaZKHOk5ayrRAeJA==; domain=.tcgtrkr.com; path=/; HttpOnly
Set-Cookie: trk=Gfq9ma7zQlvlfiCZm7R1zrof1wV6os6rLiCfoqnaZKHOk5ayrRAeJA==; domain=.tcgtrkr.com; expires=Wed, 25-Sep-2019 21:12:45 GMT; path=/; HttpOnly
Set-Cookie: c1=ArwlvKE2OXJKooiuhyXNjppx23RtE8UQLPmOc8HrlXP4VylXjE6WWg==; domain=.tcgtrkr.com; expires=Sun, 26-Oct-2014 00:12:45 GMT; path=/; HttpOnly
X-Powered-By: ASP.NET
Date: Fri, 26 Sep 2014 00:12:44 GMT
Content-Length: 49
```

###Response Body
```yaml
data:image/gif;base64,R0lGODlhAQABAJEAAAAAAP///////wAAACH5BAEAAAIALAAAAAABAAEAAAICVAEAOw==
```

Request #4 (Thank You Page Pixel)
---------------------------------

###cURL
```sh
curl 'https://tcgtrkr.com/p.ashx?a=1&t=t1411690561' -H 'Accept-Encoding: gzip,deflate,sdch' -H 'Accept-Language: en-US,en;q=0.8' -H 'User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36' -H 'Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8' -H 'Referer: https://www.instantcheckmate.com/receipt/thank_you' -H 'Cookie: .sess=04fetpwkyheyzeu14wr3p2q1; c12=ArwlvKE2OXKTfzd+AWuEtjNQ4tz+jhP866RY4VIXnQehCGpWunsB3g==; sid=ArwlvKE2OXJI2rvF2ahOe7of1wV6os6rLiCfoqnaZKHOk5ayrRAeJA==; trk=Gfq9ma7zQlvlfiCZm7R1zrof1wV6os6rLiCfoqnaZKHOk5ayrRAeJA==; c1=ArwlvKE2OXJKooiuhyXNjppx23RtE8UQLPmOc8HrlXP4VylXjE6WWg==' -H 'Connection: keep-alive' --compressed
```

###Request Headers
```yaml
GET /p.ashx?a=1&t=t1411690561 HTTP/1.1
Host: tcgtrkr.com
Connection: keep-alive
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/37.0.2062.124 Safari/537.36
Referer: https://www.instantcheckmate.com/receipt/thank_you
Accept-Encoding: gzip,deflate,sdch
Accept-Language: en-US,en;q=0.8
Cookie: .sess=04fetpwkyheyzeu14wr3p2q1; c12=ArwlvKE2OXKTfzd+AWuEtjNQ4tz+jhP866RY4VIXnQehCGpWunsB3g==; sid=ArwlvKE2OXJI2rvF2ahOe7of1wV6os6rLiCfoqnaZKHOk5ayrRAeJA==; trk=Gfq9ma7zQlvlfiCZm7R1zrof1wV6os6rLiCfoqnaZKHOk5ayrRAeJA==; c1=ArwlvKE2OXJKooiuhyXNjppx23RtE8UQLPmOc8HrlXP4VylXjE6WWg==
```

###Response Headers
```yaml
HTTP/1.1 200 OK
Cache-Control: private
Server: Microsoft-IIS/7.5
X-AspNet-Version: 4.0.30319
Set-Cookie: c1=ArwlvKE2OXJKooiuhyXNjppx23RtE8UQq5lPiTqiRglz7KHc4xTrf5sB4LgTTjqc; domain=.tcgtrkr.com; expires=Sun, 26-Oct-2014 00:12:45 GMT; path=/; HttpOnly
X-Powered-By: ASP.NET
Date: Fri, 26 Sep 2014 00:15:53 GMT
Content-Length: 0
```
